Retrieves the purchase order with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
purchase_order| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| id2 |
Internal ID (numeric) automatically filled if empty |
integer | |
| jobs_id |
Foreign key to Jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" using ERP PK when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| supplier_company_id |
Foreign key to company, contains the supplier |
globally unique identifier | |
| supplier_company_code |
Embedded entity "company" for the supplier using ERP PK when adding/updating |
string | |
| supplier_company |
Embedded entity "company" for supplier using ERP PK when adding/updating |
company | |
| user_id |
Creator of the purchase order |
globally unique identifier | |
| user_code |
Embedded entity "user" for creator using ERP PK when adding/updating purchase_order |
string | |
| user |
Embedded entity "user" for creator using node when adding/updating purchase_order |
user | |
| description |
Description of the purchase order |
string |
Max length: 4000 |
| memo |
Memo, remark |
string | |
| total_lines |
Number of lines, automatically filled when adding/updating/deleting lines |
integer | |
| date_create |
Creation date |
date | |
| date_update |
Last update date |
date | |
| date_delivery |
Estimated date of delivery |
date | |
| confirmed_date_delivery |
Date of the delivery |
date | |
| delivery_db_address_id |
If Delivery and no picking, AddressID of the company (if not the main) |
globally unique identifier | |
| approved_by_user_id |
If approval was needed, which user approves it |
globally unique identifier | |
| approved_by_user_code |
Embedded entity "user" for approver using ERP PK when adding/updating purchase_order |
string | |
| approved_by_user |
Embedded entity "user" for approver using node when adding/updating purchase_order |
user | |
| technical_user_id |
User to contact if case of technical question about the purchase order |
globally unique identifier | |
| technical_user_code |
Embedded entity "user" for technical user using ERP PK when adding/updating purchase_order |
string | |
| technical_user |
Embedded entity "user" for technical user using node when adding/updating purchase_order |
user | |
| purchase_order_status_id |
Foreign key to purchase_order_status |
globally unique identifier |
Optionally required : purchase_order_status_id or purchase_order_status_code must be provided |
| purchase_order_status_code |
Foreign key to purchase_order_status using code. Use "Approved","SentToSupplier","Cancelled" or "Delivered" |
string |
Optionally required : purchase_order_status_id or purchase_order_status_code must be provided |
| article_stock_location_id |
Stock location that will receive the articles |
globally unique identifier | |
| is_pickup |
If pickup, the technician will go himself to the supplier to take the goods |
boolean | |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "fc58cd31-57ed-494f-8d44-1c85666b2e28",
"id2": 2,
"jobs_id": "77766ac8-192c-40c1-82a7-09dbba9d36b1",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "ba3290cf-7149-414d-b227-15f20dfae395",
"supplier_company_code": "sample string 6",
"user_id": "ad187b56-5fd7-48e2-906e-aff3bcb70975",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-07-15T01:44:28.2157443+00:00",
"date_update": "2026-07-15T01:44:28.2157443+00:00",
"date_delivery": "2026-07-15T01:44:28.2157443+00:00",
"confirmed_date_delivery": "2026-07-15T01:44:28.2157443+00:00",
"delivery_db_address_id": "92220e8b-e458-4caf-9881-c0b5664cdf9e",
"approved_by_user_id": "aab0c6f7-8bd5-4839-b328-482595e2bf58",
"approved_by_user_code": "sample string 18",
"technical_user_id": "14bb1533-414a-43b8-a32c-aa3365a36bd8",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "71bf1bc3-cedf-4b50-9e17-058e36ecc1ba",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "05b686fb-ea85-4725-9960-742819fef693",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-07-15T01:44:28.2157443+00:00"
}